# Uses of Class
com.microsoft.sqlserver.jdbc.SQLServerDataTable

Packages that use SQLServerDataTable
Package
Description
com.microsoft.sqlserver.jdbc

## Uses of SQLServerDataTable in com.microsoft.sqlserver.jdbc

Methods in com.microsoft.sqlserver.jdbc with parameters of type SQLServerDataTable
Modifier and Type
Method
Description
`void`
ISQLServerCallableStatement.`setStructured(String parameterName, String tvpName, SQLServerDataTable tvpDataTable)`
Populates a table valued parameter passed to a stored procedure with a data table.
`void`
ISQLServerPreparedStatement.`setStructured(int parameterIndex, String tvpName, SQLServerDataTable tvpDataTable)`
Sets the data table to populates a table valued parameter.
`final void`
SQLServerCallableStatement.`setStructured(String parameterName, String tvpName, SQLServerDataTable tvpDataTable)`
`final void`
SQLServerPreparedStatement.`setStructured(int n, String tvpName, SQLServerDataTable tvpDataTable)`